﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using zadacha;
namespace WindowsFormsApp10
{
    public partial class Form1 : Form
    {
        Graphics gr;
        Pen p;
        SolidBrush fon;
        SolidBrush fig;
        int rad;
        public Form1()
        {
            InitializeComponent();
        }
        void DrawCircle(int x, int y)
        {
           
            int xc, yc;
            xc = x - rad;
            yc= y - rad;

            gr.FillEllipse(fig,xc,yc,rad,rad);
            gr.DrawEllipse(p,xc,yc,rad,rad);
        }
       
        
            private void Form1_Load(object sender, EventArgs e)
        {

        }

        private void button1_Click(object sender, EventArgs e)
        {
            double v = Convert.ToInt32(textBox1.Text);
            double dt = Convert.ToInt32(textBox3.Text);
            double a = Convert.ToInt32(textBox2.Text);

            double T =Dvizhenie.vremyaT(v,a,dt);

            double L=Dvizhenie.dlinaL(v,a,dt); 
            double H=Dvizhenie.vysotaH(v,a,dt);

            label5.Text = Dvizhenie.rezult1 + Convert.ToString(T);
            label6.Text = Dvizhenie.rezult2 + Convert.ToString(H);
            label7.Text = Dvizhenie.rezult3 + Convert.ToString(L);

            chart1.Series[0].ChartType = System.Windows.Forms.DataVisualization.Charting.SeriesChartType.Spline;
            this.chart1.Series[0].Points.Clear();
            double i = 0;
            while(i<=T+dt)
            {
                double x = zadacha.Dvizhenie.KoordX(v, a, i);
                double y = zadacha.Dvizhenie.KoordY(v, a, i);

                this.chart1.Series[0].Points.AddXY(x,y);

                i = i + dt;
            }

        }

        private void button2_Click(object sender, EventArgs e)
        {
            progressBar1.Value = 0;
            double v = Convert.ToInt32(textBox1.Text);
            double dt = Convert.ToInt32(textBox3.Text);
            double a = Convert.ToInt32(textBox2.Text);
            double T=Dvizhenie.vremyaT(v, a, dt);

            gr = pictureBox1.CreateGraphics();

            gr.Clear(Color.White);
            p = new Pen(Color.Lime);
            fon = new SolidBrush(Color.AntiqueWhite);
            fig = new SolidBrush(Color.Purple);

            timer1.Enabled = true;


        }

        private void timer1_Tick(object sender, EventArgs e)
        {
           // gr.Clear(Color.AntiqueWhite);
            progressBar1.Value++;
            double v = Convert.ToInt32(textBox1.Text);
            double dt = Convert.ToInt32(textBox3.Text);
            double a = Convert.ToInt32(textBox2.Text);
            double T = Dvizhenie.vremyaT(v, a, dt);
            if(progressBar1.Value>=T)
            {
                timer1.Stop();
            }
            double t = progressBar1.Value;
            double x=zadacha.Dvizhenie.KoordX(v, a, t);
            double y =zadacha.Dvizhenie.KoordY(v, a, t);

            DrawCircle(Convert.ToInt32(x),Convert.ToInt32(y));
            

        }
    }
}
